<?php
    class DB {
    private static $_db_username 		= "root";
    private static $_db_password 		= "";
    private static $_db_host 			= "localhost";
    private static $_db_name			= "tutcubede";
    private static $_db;

    function __construct() {
        try {
            self::$_db = new PDO("mysql:host=" . self::$_db_host . ";dbname=" . self::$_db_name,  self::$_db_username , self::$_db_password);
        } catch(PDOException $e) {
            echo "Datenbankverbindung gescheitert!";
            die();
        }
    }

    function subscribeNewsletter($name, $email, $optin_key) {
        $stmt = self::$_db->prepare("INSERT INTO newsletter (name, email, optin_key) VALUES(:name, :email, :optin_key)");
        
        $stmt->bindParam(":name", $name);
        $stmt->bindParam(":email", $email);
        $stmt->bindParam(":optin_key", $optin_key);

        if($stmt->execute() && ($stmt->rowCount() > 0)) {
            return true;
        } else {
            return false;
        }
    }
}
?>